Scans a list of files given by the fileset attribute, extracts valid test cases

author | Michiel Rook
version | $Id: 4067d915614ff7a864c31f19549bcf6a96c0f92d $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Create a new batchtest instance

    __construct(\Project $project)

### Parameters

#### $project

`\Project`

the project it depends on.

## Add a new fileset containing the XML results to aggregate

    addFileSet(\FileSet $fileset)

### Parameters

#### $fileset

`\FileSet`

the new fileset containing XML results.

## Add the tests in this batchtest to a test suite

    addToTestSuite(\PHPUnit_Framework_TestSuite $suite)

### Parameters

#### $suite

`\PHPUnit_Framework_TestSuite`

## Creates a new Path object

    createClasspath()

## Returns the classpath

    getClasspath()

## Returns a testsuite containing all the tests in this batch

    getTestSuite() : \PHPUnit_Framework_TestSuite

deprecated |

### Returns

`\PHPUnit_Framework_TestSuite`

## Sets the classpath

    setClasspath(\Path $classpath)

### Parameters

#### $classpath

## Sets the classes to exclude

    setExclude($exclude)

### Parameters

#### $exclude

## Sets the name of the batchtest/suite

    setName($name)

### Parameters

#### $name

## Returns an array of test cases and test suites that are declared by the files included by the filesets

    elements() : array

### Returns

`array`an array of tests.

## Filters an array of classes, removes all classes that are not test cases or test suites, or classes that are declared abstract

    filterTests($input)

### Parameters

#### $input

## Iterate over all filesets and return the filename of all files.

    getFilenames() : array

### Returns

`array`an array of filenames

## Checks wheter $input is a PHPUnit Test

    isTestCase($input)

### Parameters

#### $input

### Properties

##

    $name

##

    $classpath

##

    $excludeClasses

##

    $filesets

##

    $project